Bug 656830 (CVE-2010-4250) - CVE-2010-4250 kernel: inotify memory leak
Summary: CVE-2010-4250 kernel: inotify memory leak
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4250
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 656831 656832 656833
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 09:27 UTC by Eugene Teo (Security Response)
Modified: 2021-02-24 16:59 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 13:25:12 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0330 0 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-03-10 20:04:13 UTC
Red Hat Product Errata RHSA-2011:0498 0 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-05-10 18:10:04 UTC

Description Eugene Teo (Security Response) 2010-11-24 09:27:52 UTC
If inotify_init is unable to allocate a new file for the new inotify group we leak the new group.

Acknowledgements:

Red Hat would like to thank Vegard Nossum for reporting this issue.

Comment 4 Chuck Ebbert 2011-02-21 07:23:40 UTC
This was fixed by commit a2ae4cc9a16e211c8a128ba10d22a85431f093ab upstream.

Also, this vulnerability is not in the NVD, it says 'ERROR, "CVE-2010-4250" is valid CVE format, but CVE was not found.':
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2010-4250

Comment 5 Eugene Teo (Security Response) 2011-02-21 07:27:58 UTC
Thanks Chuck. That website usually takes some time to be updated.

Reproducer:
http://lkml.org/lkml/2010/11/23/418

Upstream commit:
http://git.kernel.org/linus/a2ae4cc9a16e211c8a128ba10d22a85431f093ab

Comment 6 errata-xmlrpc 2011-03-10 20:04:48 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0330 https://rhn.redhat.com/errata/RHSA-2011-0330.html

Comment 7 Eugene Teo (Security Response) 2011-03-17 11:33:37 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 and 5. It was addressed in Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0330.html. A future kernel update in Red Hat Enterprise Linux 6 may address this flaw.

Comment 9 errata-xmlrpc 2011-05-10 18:11:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0498 https://rhn.redhat.com/errata/RHSA-2011-0498.html


Note You need to log in before you can comment on or make changes to this bug.